Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
webhook-endpoints
Create Webhook Endpoint
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/webhook-endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "name": "<string>",
      "target_url": "<string>",
      "signing_secret": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "enabled": true,
      "hub_id": "<string>",
      "name": "<string>",
      "target_url": "<string>",
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>"
    },
    "id": "<string>",
    "type": "webhook_endpoints"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json
data
WebhookEndpointCreateResource · object
required

Response

Successful Response

data
WebhookEndpointResource · object
required